Inhalte

# Anweisung WaitUntil

Unterbricht die Programmausführung bis zur angegebenen Zeit.

### Syntax:

WaitUntil Zeitpunkt

### Parameter:

Zeitpunkt: Ein Ausdruck vom Typ Datum und Uhrzeit, der den Zeitpunkt (Datum und Uhrzeit) enthält, bis zu dem gewartet werden soll, bevor das Programm ausgeführt wird.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

            REM Wait until 18:00 then call MyMacro.
            REM If after 18:00, exit.
            Sub ExampleWaitUntil
            Dim vTimeschedule As Double
                vTimeSchedule = Date() + TimeValue("18:00:00")
                If vTimeSchedule < Now() Then Exit Sub
                WaitUntil vTimeSchedule
                Call MyMacro
            End Sub

Verwandte Themen

Anweisung Wait